summaryrefslogtreecommitdiffstats
path: root/games/dungeon
diff options
context:
space:
mode:
author B. Watson2012-12-16 23:42:33 +0100
committer dsomero2012-12-23 15:16:18 +0100
commitc1a2e05a2f2071ee7c2b9f85755c176d32477773 (patch)
treeada42adfa2a5ce142a42fbadfc299b3758ea847e /games/dungeon
parentccd0cf8537d77b54cc757f715ef5cc3c31389eec (diff)
downloadslackbuilds-c1a2e05a2f2071ee7c2b9f85755c176d32477773.tar.gz
games/dungeon: Added (text adventure game)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games/dungeon')
-rw-r--r--games/dungeon/README21
-rw-r--r--games/dungeon/dungeon.SlackBuild64
-rw-r--r--games/dungeon/dungeon.info12
-rw-r--r--games/dungeon/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/games/dungeon/README b/games/dungeon/README
new file mode 100644
index 0000000000..e0f829af0d
--- /dev/null
+++ b/games/dungeon/README
@@ -0,0 +1,21 @@
+dungeon (text adventure game)
+
+This "mainframe zork" has everything contained in the commercial ZORK I,
+part of ZORK II, and the endgame from ZORK III. Some mainframe computers
+don't have this full version, so if your mainframe doesn't have the
+endgame, the Bank of Zork, and the puzzle room, you are in for some
+new challenges.
+
+This version of Dungeon seems to be earlier than any of the ones available
+at www.if-archive.org. It was posted to USEnet ages ago. This build
+uses slightly modified sources, needed to get modern GNU Fortran to
+compile them.
+
+BTW, the source files say copyright INFOCOM, but allow non-commercial use.
+This was the last version before INFOCOM went commercial.
+
+This build includes the game map in /usr/doc/dungeon-$VERSION
+
+You can build a debugging (aka cheating) version of Dungeon by passing
+DEBUG=yes in the script's environment. This enables tracing and the
+GDT command.
diff --git a/games/dungeon/dungeon.SlackBuild b/games/dungeon/dungeon.SlackBuild
new file mode 100644
index 0000000000..4787af606d
--- /dev/null
+++ b/games/dungeon/dungeon.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/bash
+
+# Slackware build script for dungeon
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://sam.zoy.org/wtfpl/ for details.
+
+PRGNAM=dungeon
+VERSION=${VERSION:-19800808}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+[ "${DEBUG:-no}" = "yes" ] && DFLAG='DEBUG=1'
+
+make FFLAGS="$SLKCFLAGS" $DFLAG
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m0644 $CWD/$PRGNAM.jpg history read.me $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/dungeon/dungeon.info b/games/dungeon/dungeon.info
new file mode 100644
index 0000000000..1b4e4195fa
--- /dev/null
+++ b/games/dungeon/dungeon.info
@@ -0,0 +1,12 @@
+PRGNAM="dungeon"
+VERSION="19800808"
+HOMEPAGE="http://almy.us/dungeon.html"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/dungeon-19800808.tar.gz \
+ http://almy.us/image/dungeon.jpg"
+DOWNLOAD_x86_64=""
+MD5SUM="331f6fc1e02ba78ce7cb29a77fc0fe31 \
+ 1448fc6d9cae7f5b51660d304aa117b5"
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/dungeon/slack-desc b/games/dungeon/slack-desc
new file mode 100644
index 0000000000..5226417034
--- /dev/null
+++ b/games/dungeon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dungeon: dungeon (text adventure game)
+dungeon:
+dungeon: This "mainframe zork" has everything contained in the commercial ZORK
+dungeon: I, part of ZORK II, and the endgame from ZORK III. Some mainframe
+dungeon: computers don't have this full version, so if your mainframe doesn't
+dungeon: have the endgame, the Bank of Zork, and the puzzle room, you are in
+dungeon: for some new challenges.
+dungeon:
+dungeon: BTW, the source files say copyright INFOCOM, but allow non-commercial
+dungeon: use. This was the last version before INFOCOM went commercial.
+dungeon: